Bug 177352 - Find returns "no such file" error when using fstype option
Find returns "no such file" error when using fstype option
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: findutils (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-09 18:03 EST by Victor Orgos
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-10 07:33:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Orgos 2006-01-09 18:03:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
When trying to find all files of specified filesystem type, the find utility prints to stderr that it cannot fild a file (itself) in the proc filesystem:

# find / -fstype ext3 | wc -l
find: /proc/10288/fd: No such file or directory


This also occurs in RHEL v4 using findutils-4.1.20-7

# find / -fstype ext3 |wc -l
find: /proc/3853/task/3853/fd/4: No such file or directory


This does NOT occur on Redhat Linux v8 using findutils-4.1.7-7

Thanks.

Version-Release number of selected component (if applicable):
findutils-4.1.7-9

How reproducible:
Always

Steps to Reproduce:
1. find / -fstype ext3 > /dev/null
2.
3.
  

Actual Results:  find: /proc/3853/task/3853/fd/4: No such file or directory

Expected Results:  No error

Additional info:
Comment 1 Tim Waugh 2006-01-10 07:33:44 EST
Actually findutils-4.1.7-7 gives the same behaviour for me under the same kernel.

Anyway, reported upstream:
  https://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=15416

Note You need to log in before you can comment on or make changes to this bug.